Description

When a vehicle is abandoned or a command module survives an unplanned disassembly, these parts are not automatically marked
as "debris". A typical example is the parts spawned for rescue contracts. These will accumulate in the list at the tracking station.

Currently the only option to clean up such derelict vehicles is to "terminate" them. However, | don't want to make things magically
disappear; | actually love encountering remnants of earlier missions.

My suggestion: allow the renaming of vehicles even if they are uncontrollable. This would enable players to mark them as debris. A
"mark as debris" button in the tracking station would be even better.

History

#1 - 07/01/2015 12:53 PM - Kasuha

Go to Tracking Station.

Select the craft you want to rename.

Press the [i] button on the right of the screen to show the craft info window
Click on the title bar of the info window.

The feature is there. It is just very unobvious and it would be good idea to make it better visible - perhaps by formatting the title bar as a button, or by
adding a separate [Rename] button inside the window.

#2 - 07/06/2015 09:48 PM - wcoenen

OK, I've confirmed that the feature indeed already exists; it is currently almost impossible to find without instruction.

Hopefully Squad will consider this feedback in the context of the Unity 5 GUI overhaul that's going on.

#3 - 07/07/2015 09:07 AM - Squelch

This feedback is very welcome, and yes, the consolidation of the Ul that Unity 5 promises may very well bring improvements for this issue.
| would recommend following the Devnotes for some insights into the work currently being done, and what the future may bring.

#4 - 07/28/2015 10:39 AM - micha

THIS!
I've played around and clicked on the Ul for years without finding this feature. | was just about to raise this as a feature request myself when | found
this issue.

Definitely consider improving this feature to allow renaming/reclassifying vessels from both the Tracking Station as well as when flying a vessel even
if it's not under control.

#5 - 07/17/2016 09:38 AM - TriggerAu

- Status changed from New to Needs Clarification
